Bug 160811 - Upgrade from FC3 + updates to FC4 doesn't update vixie-cron package
Upgrade from FC3 + updates to FC4 doesn't update vixie-cron package
Product: Fedora
Classification: Fedora
Component: vixie-cron (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-06-17 09:52 EDT by Nils Philippsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: vixie-cron-4.1-41.FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-29 08:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2005-06-17 09:52:53 EDT
+++ This bug was initially created as a clone of Bug #160808 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524
Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When upgrading from an updated FC3 to FC4, the vixie-cron package won't get
updated because the RPM release of the FC4 package is lower than that of the
corresponding FC3 update. This is particularly bad because that way the user
misses all the security related goodies coming with gcc4.

Version-Release number of selected component (if applicable):
vixie-cron-4.1-33_FC3, vixie-cron-4.1-33

How reproducible:

Steps to Reproduce:
1. Upgrade an updated FC3 with vixie-cron package to FC4

Actual Results:  vixie-cron package won't get updated

Expected Results:  vixie-cron package gets updated

Additional info:

When using disttags, ensure that the release tag of packages in a released
version of the distribution are always lower than in Rawhide/devel. This can be
achieved e.g. using one of these schemes for the release tag (with %dist being
the distver tag, e.g. "fc3", "fc4" and %rel being the release number to base on):

- the manual way: released distro: "0.%dist.%rel", Rawhide/devel "%rel"
- a variant, based on a distver being defined by the buildsystem (or in the spec
file) for released distro versions but not in Rawhide/devel: "%{?dist:0.%dist.}%rel"
Comment 1 Jason Vas Dias 2005-06-17 15:26:33 EDT
I've now submitted 2:vixie-cron-4.1-FC5_34 and 2:vixie-cron-4.1-FC4_34
An epoch bump was necessary to get them to compare > vixie-cron-4.1-33
Comment 2 Nils Philippsen 2005-06-27 09:38:23 EDT
Hmm, wouldn't it have been sufficient to just do a release bump to 33_FC4 on the
FC4 branch? No need to remove number and dist tag in the release IMO.
Comment 3 Nils Philippsen 2005-06-27 09:52:31 EDT
s/remove/swap/ -- it's too hot here right now.
Comment 4 Marcela Mašláňová 2006-08-29 08:53:11 EDT
All updates has %dist at the end, it has to work now.

Note You need to log in before you can comment on or make changes to this bug.